package org.studiorailgun.conversation.tracking;

import org.studiorailgun.conversation.categorization.SentenceFunctionCategorizor.SentenceFunction;

import edu.stanford.nlp.semgraph.SemanticGraph;

/**
 * A single sentence in a quote
 */
public class Sentence {
    
    /**
     * The raw text of the sentence
     */
    String raw;

    /**
     * The function of the sentence
     */
    SentenceFunction function;

    /**
     * The parsed semantic graph
     */
    SemanticGraph graph;

    /**
     * The parent quote of this sentence
     */
    Quote parent;

    public Sentence(String raw){
        this.raw = raw;
    }

    /**
     * Gets the raw text of the quote
     * @return The raw text of the quote
     */
    public String getRaw(){
        return raw;
    }

    /**
     * Gets the function of the quote
     * @return The function
     */
    public SentenceFunction getFunction(){
        return function;
    }

    public void setFunction(SentenceFunction function){
        this.function = function;
    }

    public SemanticGraph getGraph() {
        return graph;
    }

    public void setGraph(SemanticGraph graph) {
        this.graph = graph;
    }

    public void setParent(Quote parent){
        this.parent = parent;
    }

    public Quote getParent(){
        return parent;
    }

}
